tbb::internal::task_stream_base Class Reference

`#include <task_stream_extended.h>`

Inheritance diagram for tbb::internal::task_stream_base:
Collaboration diagram for tbb::internal::task_stream_base:

## Protected Types

typedef queue_and_mutex< task *, spin_mutex > | lane_t

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 126 of file task_stream_extended.h.

## Member Typedef Documentation

## lane_t

typedef queue_and_mutex<task*, spin_mutex> tbb::internal::task_stream_base::lane_t

protected

Definition at line 128 of file task_stream_extended.h.

The documentation for this class was generated from the following file:

- task_stream_extended.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.